sudo apt-get -y install aptitude
sudo aptitude update
#Make aptitude be fully non-interactive, so we don't get the issues with Grub trying to configure itself.
sudo DEBIAN_FRONTEND=noninteractive apt-get -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" upgrade
#install packages
sudo DEBIAN_FRONTEND=noninteractive apt-get -y install python-dev python-docutils gettext sudo libpam0g-dev postfix libidn11 libidn11-dev cron bzip2 mailutils libgomp1
#Install the HTH package
sudo echo "deb http://package.perforce.com/apt/ubuntu xenial release" >> /etc/apt/sources.list

wget -qO - http://package.perforce.com/perforce.pubkey | sudo apt-key add -
sudo aptitude update
sudo aptitude -y install hth-web
#add our own configuration file, which contains config for Elastic Search
sudo scp /home/vagrant/hws/hth.json.web /var/opt/hth/shared/hth.json
#Generate the self-signed certs, so https will work
sudo aptitude -y install openssl
sudo mkdir -p /etc/hth/ssl/
openssl req -x509 -subj '/C=US/ST=CA/L=Alameda/O=Perforce/OU=hth/CN=hth/E=hth@perforce.com' -nodes -days 365 -newkey rsa:2048 -keyout /etc/hth/ssl/192.168.2.71.key -out /etc/hth/ssl/192.168.2.71.crt > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo 'Errors while creating self-signed certificates!'
    exit 1
else
    echo 'Self-signed certificates have been created'
fi
sudo cp /etc/ssl/192.168.2.75.crt /etc/hth/trusted-certs/
#Reconfigure HTH
sudo hth-ctl reconfigure
